using System;
using System.Collections.Generic;
using System.Threading;
using System.Threading.Tasks;

namespace Knot.Contracts.Conversations.Abstractions;

public interface IChatQueryService
{
    Task<List<ChatInfo>> GetAllChatsAsync(CancellationToken cancellationToken);
}

public record ChatInfo(Guid Id, string? Avatar);
